%define modname funcall
%define soname %{modname}.so
%define inifile A80_%{modname}.ini

Summary:	Add callbacks for any function/method
Name:		php-%{modname}
Version:	0.3.0
Release:	%mkrel 0.0.alpha.6
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/funcall/
Source0:	http://pecl.php.net/get/%{modname}-%{version}alpha.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file

%description
Call callbacks before or after specified functions/methods being called.

%prep

%setup -q -n %{modname}-%{version}alpha
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml funcall.php tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.3.0-0.0.alpha.6.mga2
+ Revision: 223892
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.3.0-0.0.alpha.5.mga2
+ Revision: 185229
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.3.0-0.0.alpha.4.mga1
+ Revision: 47896
- removed buildroot definition from .spec
- imported package php-funcall


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.0.alpha.4mdv2011.0
+ Revision: 629795
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.0.alpha.3mdv2011.0
+ Revision: 628102
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.0.alpha.2mdv2011.0
+ Revision: 600486
- rebuild

* Tue Nov 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.0.alpha.1mdv2011.0
+ Revision: 595420
- 0.3.0alpha

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-12mdv2011.0
+ Revision: 588796
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-11mdv2010.1
+ Revision: 514541
- rebuilt for php-5.3.2

* Mon Feb 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-10mdv2010.1
+ Revision: 499206
- P0: fix build with php-5.3.x (upstream fix)
- rebuilt for php-5.3.2RC1
- rebuilt against php-5.3.1
- rebuild
- rebuilt for php-5.3.0RC2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-4mdv2009.1
+ Revision: 346428
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-3mdv2009.1
+ Revision: 341734
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-2mdv2009.1
+ Revision: 321729
- rebuild
- 0.2.5

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdv2009.1
+ Revision: 310267
- rebuilt against php-5.2.7

* Thu Nov 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdv2009.1
+ Revision: 300261
- 0.2.4

* Mon Oct 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdv2009.1
+ Revision: 295605
- 0.2.3

* Sun Sep 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdv2009.0
+ Revision: 284669
- import php-funcall


* Sun Sep 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdv2009.0
- initial Mandriva package
